makeTree: function (str) {
    var level=0;
    var count=0;
    var arraysOfPlaceholders=[];
    var placeholders=[];
    var placeholderString="";
    var simpleString="";
    var finalString="";

    for(var i=0; i<str.length; i++)
    {
        //removes existing parens with contents, replaced with placeholders
        //these will be added back last
        //parens will be readded during construction of final string
        if(str[i]=="(")
        {
            level++;
        }
        else if (str[i]==")")
        {
            level--;
            placeholders.push(placeholderString);
            placeholderString="";
            simpleString=simpleString+"*";
        }
        else
        {
            if(level>=1)
            {
                placeholderString=placeholderString+str[i];
            }
            else
            {
                //only stuff outside parens will be checked for order of operations here
                simpleString=simpleString+str[i];
            }
        }
    }
    //added once i realized that the same idea could apply to individual operators, could be reorganized
    arraysOfPlaceholders.push(placeholders);
    arraysOfPlaceholders.push([]);
    arraysOfPlaceholders.push([]);
    arraysOfPlaceholders.push([]);
    var changed;
    do {
        for(i=0; i<simpleString.length; i++)
        {
            changed=false;
            //push to array[1]
            //checks for my complement operators, since it has the highest priority in order of operations
            if(simpleString[i]=='m')
            {
                var togo=simpleString[i]+simpleString[i+1];
                arraysOfPlaceholders[1].push(togo);
                changed=true;
                //
                var newsimple="";
                for(var j=0; j<i; j++)
                {
                    newsimple=newsimple+simpleString[j];
                }
                newsimple=newsimple+"#";
                if(j+1!=simpleString.length)
                {
                    for(j=i+2; j<simpleString.length; j++)
                    {
                        newsimple=newsimple+simpleString[j];
                    }
                }
                simpleString=newsimple;
            }
            if(changed)
            {
                break;
            }
        }
    } while (changed);
    changed=false;
    do {
        for(i=0; i<simpleString.length; i++)
        {
            changed=false;
            //push to array[2]
            //checks for my intersection and difference operators, since they have the 2nd highest priority in order of operations
            if(simpleString[i]=='n'||simpleString[i]=='f')
            {
                var togo=simpleString[i-1]+simpleString[i]+simpleString[i+1];
                arraysOfPlaceholders[2].push(togo);
                changed=true;
                //
                var newsimple="";
                for(var j=0; j<i-1; j++)
                {
                    newsimple=newsimple+simpleString[j];
                }
                if(simpleString[i]=='n')
                {
                    newsimple=newsimple+"$";
                }
                else
                {
                    newsimple=newsimple+"^";
                }
                if(j+1!=simpleString.length)
                {
                    for(j=i+2; j<simpleString.length; j++)
                    {
                        newsimple=newsimple+simpleString[j];
                    }
                }
                simpleString=newsimple;
            }
            if(changed)
            {
                break;
            }
        }
    }
    while (changed);
    changed=false;
    do {
        for(i=0; i<simpleString.length; i++)
        {
            changed=false;
            //push to array[3]
            //checks for my union operators, since it has the least priority in order of operations
            if(simpleString[i]=='u')
            {
                var togo=simpleString[i-1]+simpleString[i]+simpleString[i+1];
                arraysOfPlaceholders[3].push(togo);
                changed=true;
                //
                var newsimple="";
                for(var j=0; j<i-1; j++)
                {
                    newsimple=newsimple+simpleString[j];
                }
                newsimple=newsimple+"&";
                if(j+1!=simpleString.length)
                {
                    for(j=i+2; j<simpleString.length; j++)
                    {
                        newsimple=newsimple+simpleString[j];
                    }
                }
                simpleString=newsimple;
            }
            if(changed)
            {
                break;
            }
        }
    } while (changed);
    for(var x=0;x<arraysOfPlaceholders[0].length;x++)
    {
        arraysOfPlaceholders[x]=app.makeTree(arraysOfPlaceholders[x]);
    }
    //build final string



    return finalString;
}

$.post('processor.php?action=get_stats',
    {
    data: {
        id:window.App.user_id,
        //other fields
        }
    }, function(callback){console.log(callback);}
);

function printNode(toPrint) {
    for(var nodeD=0; nodeD<toPrint.data.length; nodeD++)
    {
        console.log("node data: "+toPrint.data[nodeD]);
    }
    console.log("parent index: "+toPrint.parent);
    for(var nodeC=0; nodeC<toPrint.children.length; nodeC++)
    {
        console.log("node children: "+toPrint.children[nodeC]);
    }
}