<?php
    require "mysql.php";
    $db = new MySQL("csmysql.snc.edu", 'wardet', 'MMbb88', 'erectaset');
    ini_set('display_errors',true);
    session_start();
    define('DS', '/');
    define('WWW_ROOT', substr($_SERVER['SCRIPT_FILENAME'], 0, strrpos($_SERVER['SCRIPT_FILENAME'], DS)));
    define('APP', WWW_ROOT . DS . 'app');
    define('WEBROOT', APP . DS . 'webroot');
    define('IMAGES', WEBROOT . DS . 'img');
    define('FILES', WEBROOT . DS . 'files');
    define('SECURITY_SALT', 'd7659daf2767e2ae48bcb38c03f190104d05d12f');
    define('ASSET_TIMESTAMP', true);
    date_default_timezone_set("America/Chicago");
    $data = @array_merge($_POST, $_FILES)['data'];
    if(isset($data['users']['password'])) {
        $data['users']['password'] = sha1(SECURITY_SALT . $data['users']['password']);
    }
    function setFlash($_msg, $_class = 'success')
    {
        $_SESSION['flash']['msg'] = $_msg;
        $_SESSION['flash']['class'] = $_class;
    }
    
    function getFlash()
    {
        if(isset($_SESSION['flash'])) {
            echo sprintf('<div class="alert alert-%s">%s</div>', $_SESSION['flash']['class'], $_SESSION['flash']['msg']);
            unset($_SESSION['flash']);
        }
    }
    
    function redirect($_page = 'home')
    {
        header('Location: index.php?page=' . $_page);
        exit();
    }
    
    function db()
    {
        return $GLOBALS["db"];
    }
    
    function user($_field = null)
    {
        if(!empty($_SESSION['User']))
        {
            if($_field)
            {
                return $_SESSION['User'][$_field];
            }
            return $_SESSION['User'];
        }
        return null;
    }
    
    function loggedIn()
    {
        return (!empty($_SESSION['User']) ? true : false);
    }
    
    function debug($var)
    {
        echo "<pre>";
        print_r($var);
        echo "</pre>";
    }
    
    function load($path)
    {
        $file = APP . DS . $path;
        if(is_file($file)) {
            require_once $file;
        } else {
            echo '<div class="container">';
            echo '<div class="alert alert-danger">';
            echo "<h2>Page Not Found</h2>";
            echo "<p><strong>Missing Path: </strong>$file</p>";
            echo '</div>';
            echo '</div>';
        }
    }
    
    function css($_files = [])
    {
        foreach($_files as $file) {
            echo sprintf('<link rel="stylesheet" type="text/css" href="app/webroot/css/%s.css%s"/>', $file, ASSET_TIMESTAMP ? '?' . time() : '');
        }
    }
    
    function js($_files = [])
    {
        foreach($_files as $file) {
            echo sprintf('<script src="app/webroot/js/%s.js%s"></script>', $file, ASSET_TIMESTAMP ? '?' . time() : '');
        }
    }
    
    function content_for_layout()
    {
        $page = isset($_GET['page']) ? $_GET['page'] : 'home';
        $file = 'pages' . DS . $page . '.php';
        load($file);
    }
    
    function element($name)
    {
        $file = 'elements' . DS . $name . '.php';
        load($file);
    }